com.holonplatform.vaadin.flow.components.builders

## Interface HasItemsConfigurator<ITEM,C extends HasItemsConfigurator<ITEM,C>>

- Type Parameters:
    `ITEM` - Item type
    `C` - Concrete configurator type
  All Known Subinterfaces:
    BeanListingBuilder<T>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D,C>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>, HasBeanDatastoreDataProviderConfigurator<T,D,C>, HasBeanDatastoreFilterableDataProviderConfigurator<T,F,D,C>, HasDataProviderConfigurator<T,C>, HasDatastoreDataProviderConfigurator<ITEM,D,C>, HasFilterableDataProviderConfigurator<T,FILTER,C>, HasItemsDataSourceConfigurator<ITEM,F,C>, HasPropertyBoxDatastoreDataProviderConfigurator<D,C>, HasPropertyBoxDatastoreFilterableDataProviderConfigurator<F,D,C>, HasPropertySetDatastoreDataProviderConfigurator<D,C>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,D,C>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D,C>, OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>, PropertyListingBuilder, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D,C>, SingleSelectConfigurator.SingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.SingleSelectInputConfigurator<T,ITEM,D,C>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableSingleSelectInputBuilder<T,ITEM>

      public interface HasItemsConfigurator<ITEM,C extends HasItemsConfigurator<ITEM,C>>

  Configurator for components which supports a set of items.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `addItem(ITEM item)` Add given `item` to the item set which acts as in-memory items data source.
    `default C` | `items(ITEM... items)` Set the items which acts as in-memory items data source.
    `C` | `items(Iterable<ITEM> items)` Set the items which acts as in-memory items data source.

- - ### Method Detail

    - #### items

          C items(Iterable<ITEM> items)

      Set the items which acts as in-memory items data source.
      Parameters:
        `items` - The data items to set
      Returns:
        this

    - #### items

          default C items(ITEM... items)

      Set the items which acts as in-memory items data source.
      Parameters:
        `items` - The data items to set
      Returns:
        this

    - #### addItem

          C addItem(ITEM item)

      Add given `item` to the item set which acts as in-memory items data source.
      Parameters:
        `item` - The data item to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.